JarWarResource (Apache Tomcat 9.0.120 API Documentation)
Description: declaration: package: org.apache.catalina.webresources, class: JarWarResource

# Class JarWarResource

java.lang.Object
org.apache.catalina.webresources.AbstractResource
org.apache.catalina.webresources.AbstractArchiveResource
org.apache.catalina.webresources.JarWarResource

All Implemented Interfaces:
  `WebResource`

public class JarWarResource extends AbstractArchiveResource
Represents a single resource (file or directory) that is located within a JAR that in turn is located in a WAR file.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class AbstractArchiveResource

  `AbstractArchiveResource.JarInputStreamWrapper`

- ## Field Summary

  ### Fields inherited from class AbstractResource

  `sm`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JarWarResource(AbstractArchiveResourceSet archiveResourceSet, String webAppPath, String baseUrl, JarEntry jarEntry, String archivePath)`
  Constructs a new JarWarResource.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected AbstractArchiveResource.JarInputStreamWrapper`
  `getJarInputStreamWrapper()`
  Returns a wrapper for the input stream of this resource.
  `protected Log`
  `getLog()`
  Gets the logger for this resource.

  ### Methods inherited from class AbstractArchiveResource

  `canRead, delete, doGetInputStream, exists, getArchiveResourceSet, getBase, getBaseUrl, getCanonicalPath, getCertificates, getCodeBase, getContent, getContentLength, getCreation, getLastModified, getManifest, getName, getResource, getURL, isDirectory, isFile, isVirtual`

  ### Methods inherited from class AbstractResource

  `getETag, getInputStream, getLastModifiedHttp, getMimeType, getStrongETag, getWebappPath, getWebResourceRoot, setMimeType`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JarWarResource

    public JarWarResource(AbstractArchiveResourceSet archiveResourceSet, String webAppPath, String baseUrl, JarEntry jarEntry, String archivePath)
    Constructs a new JarWarResource.
    Parameters:
      `archiveResourceSet` - the archive resource set
      `webAppPath` - the web application path
      `baseUrl` - the base URL
      `jarEntry` - the JAR entry
      `archivePath` - the path to the archive within the WAR

- ## Method Details

  - ### getJarInputStreamWrapper

    protected AbstractArchiveResource.JarInputStreamWrapper getJarInputStreamWrapper()
    Description copied from class: `AbstractArchiveResource`
    Returns a wrapper for the input stream of this resource.
    Specified by:
      `getJarInputStreamWrapper` in class `AbstractArchiveResource`
    Returns:
      a wrapper for the input stream of this resource

  - ### getLog

    protected Log getLog()
    Description copied from class: `AbstractResource`
    Gets the logger for this resource.
    Specified by:
      `getLog` in class `AbstractResource`
    Returns:
      the logger